easy_admin:
    entities:
        Task:
            controller: App\Controller\Admin\TaskAdminController
            class: App\Entity\Task

            form:
                role: ROLE_WRITER
                fields:
                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.text'
                    -
                      property: 'task'
                      label: 'label.task'
                    -
                      property: 'deadLine'
                      label: 'label.deadLine'
                      required: false
                    -
                      property: 'badge'
                      label: 'label.badge'
                      type: 'App\Form\AbstractType\BadgeType'
                      required: false

                    -
                      property: 'assignment'
                      label : 'label.assignment'
                      type: 'App\Form\AbstractType\AssignmentType'
                      required: false

            list:
                role: ROLE_VISITOR
                dql_filter: "entity.isDeleted = false"
                fields:
                    -
                      property: 'task'
                      label: 'label.task'
                    -
                      property: 'badge'
                      label: 'label.badge'
                      template: 'badge_field_type.html.twig'
                    -
                      property: 'deadLine'
                      label: 'label.deadLine'
                    -
                      property: 'assignment'
                      label: 'label.assignment'

            show:
                role: ROLE_VISITOR
                fields:
                    -
                      property: 'task'
                      label: 'label.task'
                    -
                      property: 'badge'
                      label: 'label.badge'
                      template: 'badge_field_type.html.twig'
                    -
                      property: 'deadLine'
                      label: 'label.deadLine'
                    -
                      property: 'assignment'
                      label: 'label.assignment'

                    -
                      property: 'createdAt'
                      label: 'label.createdAt'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'createdBy'
                      label: 'label.createdBy'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'

            delete:
                role: ROLE_ADMIN